Bug 1098792 - Unable to display Alert, Operations, Configuration and Event icons in Timeline view
Summary: Unable to display Alert, Operations, Configuration and Event icons in Timelin...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.10
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ---
: RHQ 4.12
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks: 1099518
TreeView+ depends on / blocked
 
Reported: 2014-05-18 16:33 UTC by Jérémie
Modified: 2014-12-15 11:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1099518 (view as bug list)
Environment:
Last Closed: 2014-12-15 11:36:39 UTC


Attachments (Terms of Use)
Bad url for icon in TimeLine view (4.29 KB, image/jpeg)
2014-05-18 16:34 UTC, Jérémie
no flags Details

Description Jérémie 2014-05-18 16:33:11 UTC
Since the change of the web context in "/portal", some type of  icon is no longer displayed in the TimeLine View. See BZ1000065

Icon url hard coding in modules/enterprise/gui/portal-war/target/rhq-portal/resource/common/monitor/events/Event*JSON.jsp are not impacted. Like Drift or Inventory. 

But the other like Alert, Operation, Configuration and Event have a wrong path, see org.rhq.enterprise.gui.common.tag.FunctionTagLibrary

Comment 1 Jérémie 2014-05-18 16:34:26 UTC
Created attachment 896809 [details]
Bad url for icon in TimeLine view

Comment 2 Jirka Kremser 2014-05-20 13:52:46 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/182e9daa3
time:    2014-05-20 13:25:09 +0200
commit:  182e9daa32eee3ca549dba8c6bdca71b579c0f2f
author:  Jeremie Lagarde - jer@printstacktrace.org
commiter:Jirka Kremser - jiri.kremser@gmail.com
message: Merge pull request #36 from jerr/BZ1098792

         BZ1098792 : Correct the url icons on the timeline view. (lgtm,
         jk)

Comment 3 Heiko W. Rupp 2014-12-15 11:36:39 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.